## pidgin-openfetion 0.3

=== CMakeLists.txt ===
PROJECT(libopenfetion)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
SET(TARNAME pidgin-ofetion)

SET(ICON_FILE "res/openfetion.png")
SET(RES_FILE "res/city.xml" "res/province.xml")

SET(SRC_LIST
	fx_blist.c
	fx_buddy.c
	fx_chat.c
	fx_contact.c
	fx_login.c
	fx_sip.c
	fx_user.c
	fx_util.c
	openfetion.c
)

IF(NOT PURPLE_MAJOR_VERSION)
	SET(PURPLE_MAJOR_VERSION "2")
ENDIF(NOT PURPLE_MAJOR_VERSION)

FIND_PACKAGE(PkgConfig REQUIRED)

PKG_CHECK_MODULES(LIBXML2 REQUIRED libxml-2.0)
PKG_CHECK_MODULES(OPENSSL REQUIRED openssl)
PKG_CHECK_MODULES(PURPLE REQUIRED  purple)

option(NLS "Native language support" ON)
if(NLS)
	find_package(Gettext)
endif(NLS)

ADD_DEFINITIONS(-Wall -Wextra -g)

ADD_LIBRARY(libopenfetion MODULE ${SRC_LIST})
set_target_properties(libopenfetion PROPERTIES PREFIX "")

INCLUDE_DIRECTORIES(
	${LIBXML2_INCLUDE_DIRS}
	${OPENSSL_INCLUDE_DIRS}
	${PURPLE_INCLUDE_DIRS}
	)

TARGET_LINK_LIBRARIES(libopenfetion
   					${LIBXML_LIBRARIES}
					${OPENSSL_LIBRARIES}
					${PURPLE_LIBRARIES}
					)

EXEC_PROGRAM("pkg-config --variable=datadir purple 2>/dev/null"
			OUTPUT_VARIABLE PURPLE_DATADIR)
EXEC_PROGRAM("pkg-config --variable=libdir purple 2>/dev/null"
			OUTPUT_VARIABLE PURPLE_LIBDIR)

SET(PIDGIN_PIX_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/pixmaps/pidgin/protocols/16/")
SET(RES_INSTALL_DIR "${PURPLE_DATADIR}/purple/openfetion/")
SET(LIB_INSTALL_DIR "${PURPLE_LIBDIR}/purple-${PURPLE_MAJOR_VERSION}")
SET(LOCALE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/locale/")

ADD_DEFINITIONS(-DRES_DIR="${RES_INSTALL_DIR}")
if(NLS AND GETTEXT_FOUND)
	add_definitions(-DGETTEXT_PACKAGE="${TARNAME}")
	add_definitions(-DENABLE_NLS="1")
	message(STATUS "Native language support:  YES" )
else(NLS AND GETTEXT_FOUND)
	message(STATUS "Native language support:  NO" )
endif(NLS AND GETTEXT_FOUND)
add_definitions(-DLOCALE_DIR="${LOCALE_INSTALL_DIR}")

if(NLS AND GETTEXT_FOUND)
	file(GLOB POFILES "${CMAKE_CURRENT_SOURCE_DIR}/po/*.po")
	gettext_create_translations("${CMAKE_CURRENT_SOURCE_DIR}/po/pidgin-ofetion.pot" ALL ${POFILES})
endif(NLS AND GETTEXT_FOUND)

INSTALL(TARGETS libopenfetion DESTINATION ${LIB_INSTALL_DIR})
INSTALL(FILES ${ICON_FILE} DESTINATION ${PIDGIN_PIX_INSTALL_DIR})
INSTALL(FILES ${RES_FILE} DESTINATION ${RES_INSTALL_DIR})

=== .pc/lp706076-bin-invalid-paths.patch/CMakeLists.txt ===
PROJECT(libopenfetion)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
SET(TARNAME pidgin-ofetion)

SET(ICON_FILE "res/openfetion.png")
SET(RES_FILE "res/city.xml" "res/province.xml")

SET(SRC_LIST
	fx_blist.c
	fx_buddy.c
	fx_chat.c
	fx_contact.c
	fx_login.c
	fx_sip.c
	fx_user.c
	fx_util.c
	openfetion.c
)

IF(NOT PURPLE_MAJOR_VERSION)
	SET(PURPLE_MAJOR_VERSION "2")
ENDIF(NOT PURPLE_MAJOR_VERSION)

FIND_PACKAGE(PkgConfig REQUIRED)

PKG_CHECK_MODULES(LIBXML2 REQUIRED libxml-2.0)
PKG_CHECK_MODULES(OPENSSL REQUIRED openssl)
PKG_CHECK_MODULES(PURPLE REQUIRED  purple)

option(NLS "Native language support" ON)
if(NLS)
	find_package(Gettext)
endif(NLS)

ADD_DEFINITIONS(-Wall -Wextra -g)

ADD_LIBRARY(libopenfetion MODULE ${SRC_LIST})
set_target_properties(libopenfetion PROPERTIES PREFIX "")

INCLUDE_DIRECTORIES(
	${LIBXML2_INCLUDE_DIRS}
	${OPENSSL_INCLUDE_DIRS}
	${PURPLE_INCLUDE_DIRS}
	)

TARGET_LINK_LIBRARIES(libopenfetion
   					${LIBXML_LIBRARIES}
					${OPENSSL_LIBRARIES}
					${PURPLE_LIBRARIES}
					)

EXEC_PROGRAM("whereis libpurple| sed -e 's/[^\\/]*//' -e 's/\\(.*\\)lib\\/libpurple\\.so.*/\\1/'"
			OUTPUT_VARIABLE PURPLE_PREFIX)

EXEC_PROGRAM("whereis pidgin | sed -e 's/[^\\/]*//' -e 's/\\(.*\\)bin\\/pidgin.*/\\1/'"
			OUTPUT_VARIABLE PIDGIN_PREFIX)

SET(PIDGIN_PIX_INSTALL_DIR "${PIDGIN_PREFIX}share/pixmaps/pidgin/protocols/16/")
SET(RES_INSTALL_DIR "${PURPLE_PREFIX}share/purple/openfetion/")
SET(LIB_INSTALL_DIR "${PURPLE_PREFIX}lib/purple-${PURPLE_MAJOR_VERSION}")
SET(LOCALE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/locale/")

ADD_DEFINITIONS(-DRES_DIR="${RES_INSTALL_DIR}")
if(NLS AND GETTEXT_FOUND)
	add_definitions(-DGETTEXT_PACKAGE="${TARNAME}")
	add_definitions(-DENABLE_NLS="1")
	message(STATUS "Native language support:  YES" )
else(NLS AND GETTEXT_FOUND)
	message(STATUS "Native language support:  NO" )
endif(NLS AND GETTEXT_FOUND)
add_definitions(-DLOCALE_DIR="${LOCALE_INSTALL_DIR}")

if(NLS AND GETTEXT_FOUND)
	file(GLOB POFILES "${CMAKE_CURRENT_SOURCE_DIR}/po/*.po")
	gettext_create_translations("${CMAKE_CURRENT_SOURCE_DIR}/po/pidgin-ofetion.pot" ALL ${POFILES})
endif(NLS AND GETTEXT_FOUND)

INSTALL(TARGETS libopenfetion DESTINATION ${LIB_INSTALL_DIR})
INSTALL(FILES ${ICON_FILE} DESTINATION ${PIDGIN_PIX_INSTALL_DIR})
INSTALL(FILES ${RES_FILE} DESTINATION ${RES_INSTALL_DIR})

## pidgin-openfetion 0.1

=== debian/changelog ===
pidgin-openfetion (0.1-0ubuntu2) natty; urgency=high

  * debian/patches/lp706076-bin-invalid-paths.patch:
    - Rewrite to use pkg-config to get paths of relevant libraries to get
      rid of invalid paths in binary packages. (LP: #706076)
  * debian/docs: 
    - Removed since there is only a useless CMakeLists.txt

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 22 Jan 2011 07:33:06 +0800

pidgin-openfetion (0.1-0ubuntu1) natty; urgency=low

  * Initial release in Ubuntu natty.

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 15 Jan 2011 22:32:43 +0800

=== debian/control ===
Source: pidgin-openfetion
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libpurple-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ofetion

Package: pidgin-openfetion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fetion protocol plugin for libpurple
 Fetion is an IM provided by China Mobile, with features like text 
 chat, voice call, file sharing, etc.
 .
 This package provides a protocol plugin for libpurple, which supports
 basic text and SMS messaging function.

## pidgin-openfetion 0.2

=== debian/changelog ===
pidgin-openfetion (0.2-1) unstable; urgency=low

  * Initial release in Debian (Closes: #610123)

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 04 May 2011 19:59:38 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pidgin-openfetion
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
+Maintainer: Aron Xu <happyaron.xu@gmail.com>
 Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libpurple-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ofetion
 
 Package: pidgin-openfetion

## pidgin-openfetion 0.3

=== debian/changelog ===
pidgin-openfetion (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 02 Jan 2012 11:22:44 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pidgin-openfetion
 Section: net
 Priority: optional
-Maintainer: Aron Xu <happyaron.xu@gmail.com>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libpurple-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ofetion

=== debian/watch ===
version=3
http://googlecode.debian.net/p/ofetion/pidgin-openfetion-(\d+.*)\.tar\.gz
